# Uses of Class
bsh.Token

Packages that use Token
Package
Description
bsh

## Uses of Token in bsh

Fields in bsh declared as Token
Modifier and Type
Field
Description
`Token`
ParseException.`currentToken`
This is the last token that has been consumed successfully.
`Token`
Parser.`jj_nt`
`Token`
Token.`next`
A reference to the next regular (non-special) token from the input stream.
`Token`
Token.`specialToken`
This field is used to access special tokens that occur prior to this token, but after the immediately preceding regular (non-special) token.
`Token`
Parser.`token`
Methods in bsh that return Token
Modifier and Type
Method
Description
`final Token`
Parser.`getNextToken()`
`Token`
ParserTokenManager.`getNextToken()`
`final Token`
Parser.`getToken(int index)`
`protected Token`
ParserTokenManager.`jjFillToken()`
`static final Token`
Token.`newToken(int ofKind)`
Returns a new Token object, by default.
Constructors in bsh with parameters of type Token
Modifier
Constructor
Description
``
`ParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)`
This constructor is used by the method "generateParseException" in the generated parser.